> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/projects/get-project-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Get project details GET https://alephant.io/api/v1/projects/{id} Get project details for an Enterprise workspace. All workspace members may read; PATs require the read scope. Reference: https://developers.alephant.io/api-reference/saa-s-api/projects/get-project-details ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Path parameters - `id` (string, required) — Project UUID ### Headers - `Authorization` (string, required) — Bearer \{access\_token} - `X-Workspace-Id` (string, required) — Workspace UUID ## Response ### 200 data: project detail - `data` (github_com_alephant_backend-saas-service_internal_service.ProjectDetail, optional) ## Errors ### 400 Bad Request Error X-Workspace-Id required - `code` (string, optional) - `message` (string, optional) ### 401 Unauthorized Error AUTH_TOKEN_EXPIRED - `code` (string, optional) - `message` (string, optional) ### 403 Forbidden Error feature_unavailable or FORBIDDEN - `code` (string, optional) - `message` (string, optional) ### 404 Not Found Error project_not_found - `code` (string, optional) - `message` (string, optional) ### 422 Unprocessable Entity Error validation_error (invalid project id) - `code` (string, optional) - `message` (string, optional) ## Types ### github_com_alephant_backend-saas-service_internal_service.ProjectDetail - `activeAgentCount` (long, optional) - `activeMemberCount` (long, optional) - `createdAt` (datetime, optional) - `description` (string, optional) - `id` (string, optional) - `name` (string, optional) - `updatedAt` (datetime, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "activeAgentCount": 5, "activeMemberCount": 23, "createdAt": "2023-11-20T14:45:00Z", "description": "Project focused on developing the new customer onboarding workflow automation.", "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Customer Onboarding Automation", "updatedAt": "2024-04-10T16:20:00Z" } } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/projects/id" payload = {} headers = { "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/projects/id'; const options = { method: 'GET', headers: { Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id', 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/projects/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Authorization") req.Header.Add("X-Workspace-Id", "X-Workspace-Id") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/projects/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' request["X-Workspace-Id"] = 'X-Workspace-Id' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/projects/id") .header("Authorization", "Authorization") .header("X-Workspace-Id", "X-Workspace-Id") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/projects/id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Authorization', 'Content-Type' => 'application/json', 'X-Workspace-Id' => 'X-Workspace-Id', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/projects/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); request.AddHeader("X-Workspace-Id", "X-Workspace-Id"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/projects/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```